Note : This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support .
GET https://api.ap1.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} https://api.ap2.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} https://api.datadoghq.eu/api/v2/logs/archive_searches/{archive_search_id} https://api.ddog-gov.com/api/v2/logs/archive_searches/{archive_search_id} https://api.us2.ddog-gov.com/api/v2/logs/archive_searches/{archive_search_id} https://api.uk1.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} https://api.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} https://api.us3.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id} https://api.us5.datadoghq.com/api/v2/logs/archive_searches/{archive_search_id}
Overview Get a single Archive Search, including its status and the amount of archive data scanned when the search finishes.
This endpoint requires the logs_read_data permission.
Arguments Path Parameters archive_search_id [required ]
Unique identifier of the Archive Search.
Response OK
Response containing a single Archive Search.
Expand All
Attributes of an Archive Search.
ID of the archive being searched.
Number of bytes read from the archive at the end of the search.
Time the Archive Search finished, as an ISO 8601 timestamp.
Absent while the search is still running.
Time the Archive Search was created, as an ISO 8601 timestamp.
Free-text description of the Archive Search.
events_scanned [required ]
Number of events read from the archive at the end of the search.
Estimated time left before the Archive Search completes, in seconds.
Start of the searched time range, as an ISO 8601 timestamp.
Name of the Archive Search.
Log search query used to filter the archived logs.
Rehydration settings of the Archive Search. Absent when the search only scans the archive
without indexing the results.
max_rehydrated_events [required ]
Maximum number of events to rehydrate.
retention_days [required ]
Number of days the rehydrated logs are retained for.
Storage tier the matched logs are rehydrated into.
Allowed enum values: standard,flex
Current state of an Archive Search.
Allowed enum values: RUNNING,COMPLETED,FAILED,CANCELLED,QUOTA_REACHED,EXPIRED
End of the searched time range, as an ISO 8601 timestamp.
Unique identifier of the Archive Search.
Archive Search resource type.
Allowed enum values: archive_search
default: archive_search
{
"data" : {
"attributes" : {
"archive_id" : "mhmyYmyLTOaFYKvhNadu1w" ,
"bytes_scanned" : 402764439 ,
"completed_at" : "2026-01-02T12:30:00Z" ,
"created_at" : "2026-01-02T12:00:00Z" ,
"description" : "Investigating the checkout latency spike." ,
"events_scanned" : 1500 ,
"expected_duration" : 120 ,
"from" : "2026-01-01T00:00:00Z" ,
"name" : "checkout-latency-investigation" ,
"query" : "service:checkout status:error" ,
"rehydration" : {
"max_rehydrated_events" : 1000000 ,
"retention_days" : 15 ,
"tier" : "standard"
},
"status" : "RUNNING" ,
"to" : "2026-01-02T00:00:00Z"
},
"id" : "nv2eu4srgyzdkulggjzg2zkmmzifa2rum5iq" ,
"type" : "archive_search"
}
} Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Forbidden
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Path parameters export archive_search_id = "nv2eu4srgyzdkulggjzg2zkmmzifa2rum5iq" # Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/logs/archive_searches/${archive_search_id} " \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN} "